#ifndef MPARLIST_H
#define MPARLIST_H

/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// MParList                                                                //
//                                                                         //
// List of parameter containers (MParContainer)                            //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef ROOT_TOrdCollection
#include "TOrdCollection.h"
#endif
#ifndef MPARCONTAINER_H
#include "MParContainer.h"
#endif

class MLog;

class MParList : public MParContainer
{
private:
    TOrdCollection fContainer;	// Collection of Parameter and Data Containers
    TOrdCollection fAutodelete; // All what this list contains is deleted in the destructor

public:
    MParList(const char *name=NULL, const char *title=NULL);
    MParList(MParList &ts);

    ~MParList()
    {
    }

    Bool_t AddToList(MParContainer *obj, MParContainer *where = NULL);

    void SetLogStream(MLog *log);

    TObject       *FindObject(const char *name) const;
    MParContainer *FindCreateObj(const char *name);

    void Print(Option_t *t = NULL);

    ClassDef(MParList, 0) // list of parameter containers (MParContainer)
};

#endif
